Ir al contenido principal

Este explorador ya no se admite.

Actualice a Microsoft Edge para aprovechar las características y actualizaciones de seguridad más recientes, y disponer de soporte técnico.

Descargar Microsoft Edge Más información sobre Internet Explorer y Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Routines

Create or update a routine

PUT /routines/{routine_name}

Creates a new routine or replaces an existing routine with the supplied definition.

Parámetros de encabezado

Foundry-Features enum

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

Routines=V2Preview

Parámetros de la ruta de acceso

routine_name string requerido

The unique name of the routine.

Parámetros de consulta

api-version string requerido

The API version to use for this operation.

Cuerpo de la solicitud

Content-Type: application/json
description string

A human-readable description of the routine.

enabled boolean

Whether the routine is enabled.

triggers object

The triggers configured for the routine. In v1, exactly one trigger entry is supported.

[key: string] schedule | timer | github_issue | custom

Base model for a routine trigger.

Uno de los siguientes:
schedule ScheduleRoutineTrigger

A recurring cron-based routine trigger.

type enum requerido

The trigger type.

schedule
cron_expression string requerido

A 5-field cron expression. The service enforces a minimum interval of five minutes by default.

time_zone string requerido

An IANA or Windows time zone identifier for the schedule.

timer TimerRoutineTrigger

A one-shot timer routine trigger.

type enum requerido

The trigger type.

timer
at integer
github_issue GitHubIssueRoutineTrigger

A GitHub issue routine trigger.

type enum requerido

The trigger type.

github_issue
connection_id string requerido

The workspace connection identifier that resolves the GitHub configuration for the trigger.

owner string requerido

The GitHub owner or organization that scopes which issues can fire the trigger.

repository string requerido

The GitHub repository filter that scopes which issues can fire the trigger.

issue_event string | enum requerido

Known GitHub issue events that can fire a routine.

Cualquiera de las siguientes:
string
enum
openedclosed
custom CustomRoutineTrigger

A custom event routine trigger.

type enum requerido

The trigger type.

custom
provider string requerido

The external provider that emits the custom event.

event_name string

The provider-specific event name that fires the routine.

parameters object requerido

Provider-specific trigger parameters.

action invoke_agent_responses_api | invoke_agent_invocations_api

Base model for a routine action.

Uno de los siguientes:
invoke_agent_responses_api InvokeAgentResponsesApiRoutineAction

Dispatches a routine through the responses API. Exactly one of agent_name or agent_endpoint_id must be provided.

type enum requerido

The action type.

invoke_agent_responses_api
agent_name string

The project-scoped agent name for routine dispatch.

agent_endpoint_id string

Legacy endpoint-scoped agent identifier for routine dispatch.

input InvokeAgentResponsesApiRoutineAction

Static JSON value sent as the complete downstream input when the routine fires. The value is passed through as-is; no templating is applied.

conversation string

An optional existing conversation identifier to continue during the downstream dispatch.

invoke_agent_invocations_api InvokeAgentInvocationsApiRoutineAction

Dispatches a routine through the raw invocations API. Exactly one of agent_name or agent_endpoint_id must be provided.

type enum requerido

The action type.

invoke_agent_invocations_api
agent_name string

The project-scoped agent name for routine dispatch.

agent_endpoint_id string

Legacy endpoint-scoped agent identifier for routine dispatch.

input InvokeAgentInvocationsApiRoutineAction

Static JSON value sent as the complete downstream input when the routine fires. The value is passed through as-is; no templating is applied.

session_id string

An optional existing hosted-agent session identifier to continue during the downstream dispatch.

authorization RoutineAuthorization

Optional authorization configuration for a routine dispatch.

identity string | enum

The supported identities for routine dispatch authorization.

Cualquiera de las siguientes:
string
enum
agentcreator

Respuestas

The request has succeeded.

Cuerpo

Content-Type: application/json
name string

The routine name.

description string

A human-readable description of the routine.

enabled boolean requerido

Whether the routine is enabled.

triggers object

The triggers configured for the routine.

[key: string] schedule | timer | github_issue | custom

Base model for a routine trigger.

Uno de los siguientes:
schedule ScheduleRoutineTrigger

A recurring cron-based routine trigger.

type enum requerido

The trigger type.

schedule
cron_expression string requerido

A 5-field cron expression. The service enforces a minimum interval of five minutes by default.

time_zone string requerido

An IANA or Windows time zone identifier for the schedule.

timer TimerRoutineTrigger

A one-shot timer routine trigger.

type enum requerido

The trigger type.

timer
at integer
github_issue GitHubIssueRoutineTrigger

A GitHub issue routine trigger.

type enum requerido

The trigger type.

github_issue
connection_id string requerido

The workspace connection identifier that resolves the GitHub configuration for the trigger.

owner string requerido

The GitHub owner or organization that scopes which issues can fire the trigger.

repository string requerido

The GitHub repository filter that scopes which issues can fire the trigger.

issue_event string | enum requerido

Known GitHub issue events that can fire a routine.

Cualquiera de las siguientes:
string
enum
openedclosed
custom CustomRoutineTrigger

A custom event routine trigger.

type enum requerido

The trigger type.

custom
provider string requerido

The external provider that emits the custom event.

event_name string

The provider-specific event name that fires the routine.

parameters object requerido

Provider-specific trigger parameters.

action invoke_agent_responses_api | invoke_agent_invocations_api

Base model for a routine action.

Uno de los siguientes:
invoke_agent_responses_api InvokeAgentResponsesApiRoutineAction

Dispatches a routine through the responses API. Exactly one of agent_name or agent_endpoint_id must be provided.

type enum requerido

The action type.

invoke_agent_responses_api
agent_name string

The project-scoped agent name for routine dispatch.

agent_endpoint_id string

Legacy endpoint-scoped agent identifier for routine dispatch.

input InvokeAgentResponsesApiRoutineAction

Static JSON value sent as the complete downstream input when the routine fires. The value is passed through as-is; no templating is applied.

conversation string

An optional existing conversation identifier to continue during the downstream dispatch.

invoke_agent_invocations_api InvokeAgentInvocationsApiRoutineAction

Dispatches a routine through the raw invocations API. Exactly one of agent_name or agent_endpoint_id must be provided.

type enum requerido

The action type.

invoke_agent_invocations_api
agent_name string

The project-scoped agent name for routine dispatch.

agent_endpoint_id string

Legacy endpoint-scoped agent identifier for routine dispatch.

input InvokeAgentInvocationsApiRoutineAction

Static JSON value sent as the complete downstream input when the routine fires. The value is passed through as-is; no templating is applied.

session_id string

An optional existing hosted-agent session identifier to continue during the downstream dispatch.

created_at integer
updated_at integer

Client error

Cuerpo

Content-Type: application/json
error OpenAI.Error requerido
code string | null requerido
message string requerido
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Cualquiera de las siguientes:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string requerido

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

Cuerpo

Content-Type: application/json
error OpenAI.Error requerido
code string | null requerido
message string requerido
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Cualquiera de las siguientes:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string requerido

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Solicitar

PUT /routines/{routine_name} HTTP/1.1

Respuesta

Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
es-es
Sus opciones de privacidad
  • Declinación de responsabilidades de IA
  • Versiones anteriores
  • Blog
  • Contribuir
  • Privacidad
  • Privacidad de estado del consumidor
  • Términos de uso
  • Marcas comerciales
  • © Microsoft 2026